Bug 492939 - gcc 4.4 broke ppc64 booting again
gcc 4.4 broke ppc64 booting again
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
ppc64 Linux
high Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-30 16:33 EDT by Jarod Wilson
Modified: 2009-04-13 09:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 09:46:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jarod Wilson 2009-03-30 16:33:38 EDT
Description of problem:
Somewhere between gcc 4.4.0-0.27.ppc and 4.4.0-0.29.ppc, we stopped getting bootable ppc64 kernels, at least on the YDL PowerStation. Kernel 2.6.29-0.258.rc8.git2.fc11, which was built with gcc 4.4.0-0.26.ppc boots just fine. The F11 beta kernel, 2.6.29-0.258.1.2.rc8.git2.fc11 (or something like that), which was built with gcc 4.4.0-0.29.ppc doesn't boot, nor do any later kernels built in koji. A local rebuild using the older compiler on my PowerStation results in a kernel that boots just fine.

The last thing I get on screen is "returning from prom_init", and the system just hangs there for a few minutes before resetting itself.

Version-Release number of selected component (if applicable):
gcc-4.4.0-0.29.ppc
Comment 1 Jakub Jelinek 2009-03-30 16:49:17 EDT
I guess please first try -0.28, then do a binary search between -0.28 and -0.29 (resp. -0.27 and -0.28) compiled objects to see which file matters.
Comment 2 Jarod Wilson 2009-03-30 17:54:58 EDT
Hrm. I had a build using gcc 4.4.0-0.30.fc11 already under way, and I let that go ahead and finish. The resulting kernel boots fine. Perhaps the '- fix -maltivec conditional vector macro (PR target/39558)' portion of the build 0.30 changelog entry is relevant here? I could keep digging, but I don't have a heck of a lot of spare time to put into this...
Comment 3 Jakub Jelinek 2009-03-30 18:03:47 EDT
None of the changes between -0.29 and -0.30 should affect code generation on ppc/ppc64, all the changes are just about diagnostics or debuginfo, or, as in the case of the vector changes, whether code involving -maltivec vector is parsed or not (but neither of these is a recent regression).
Comment 4 Jarod Wilson 2009-03-30 18:17:22 EDT
Ugh. Seems possibly the blame lies somewhere else then... I have yet to produce a locally-built kernel that didn't boot. Everything out of the build system of late fails to boot (well, haven't tried anything later than 2.6.29-15.fc11). Will poke it some more tomorrow...
Comment 5 Jakub Jelinek 2009-03-31 03:03:09 EDT
Try local mock, if that still fails, try to change one component at a time (gcc, binutils, glibc, ...).
Comment 6 Jarod Wilson 2009-04-02 11:52:50 EDT
Latest kernels out of koji are bootable again, on both my powerstation and on Josh Boyer's G5 (which was also failing similarly).
Comment 7 Jarod Wilson 2009-04-13 09:46:49 EDT
Don't have time to dig into it, and its working now, just going to chalk it up to rawhide being rawhide and close it.

Note You need to log in before you can comment on or make changes to this bug.